I'd like for us to disallow pre-1.5 Subversion clients from making
commits starting one year from now (or sooner if there is consensus).

The recent hardware problems for svn.zope.org had the positive outcome
of precipitating an upgrade to Subversion 1.5 which has merge tracking.
One of the requirements to use merge tracking is that no pre-1.5 client
merge to the branch that you want to use with merge tracking.

That means that as of now, anyone can use merge tracking on their
projects as long as all merges are done with a mergeinfo-capable (1.5+)
client.

Until we ban commits from pre-1.5 clients (using a pre-commit hook),
anyone who wants to use merge tracking will have to be careful with the
clients they use (and watch out for rouge merges from other contributors
which can be fixed-up after the fact).

The Subversion book includes information about merge tracking:
http://svnbook.red-bean.com/nightly/en/svn.branchmerge.basicmerging.html
http://svnbook.red-bean.com/nightly/en/svn.branchmerge.advanced.html

A description of the pre-1.5 client problem is at
http://svnbook.red-bean.com/nightly/en/svn.branchmerge.advanced.html#svn.branchmerge.advanced.pre1.5clients
-- 
Benji York
Senior Software Engineer
Zope Corporation
_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-announce
 http://mail.zope.org/mailman/listinfo/zope )

Reply via email to